org.firebirdsql.gds

## Interface JaybirdErrorCodes

-     public interface JaybirdErrorCodes

  Constants for Jaybird specific error codes.

  The error code of Jaybird use the same scheme as the rest of Firebird error codes. The error codes are not maintained within Firebird, but here and in associated files `jaybird_error_msg.properties` and `jaybird_error_sqlstates.properties`

  For error codes, Firebird has reserved facility code `26` for Jaybird. Facility code 26 has error codes in range 337248256 - 337264639. See Firebird `src\common\msg_encode.h` for calculation of this range.

  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `jb_blobClosed`
    `static int` | `jb_blobGetSegmentNegative`
    `static int` | `jb_blobIdAlreadySet`
    `static int` | `jb_blobPutSegmentEmpty`
    `static int` | `jb_blobPutSegmentTooLong`
    `static int` | `jb_clumpletReaderUsageError`
    `static int` | `jb_concurrencyResetReadOnlyReasonNotUpdatable`
    `static int` | `jb_concurrencyResetReadOnlyReasonStoredProcedure`
    `static int` | `jb_cryptAlgorithmNotAvailable`
    `static int` | `jb_cryptInvalidKey`
    `static int` | `jb_cryptNoCryptKeyAvailable`
    `static int` | `jb_dbCryptCallbackInitError`
    `static int` | `jb_dbCryptDataError`
    `static int` | `jb_errorAsynchronousEventChannelClose`
    `static int` | `jb_executeImmediateRequiresNoTransactionDetached`
    `static int` | `jb_executeImmediateRequiresTransactionAttached`
    `static int` | `jb_hashAlgorithmNotAvailable`
    `static int` | `jb_invalidClumpletStructure`
    `static int` | `jb_invalidConnectionPropertyValue`
    `static int` | `jb_invalidConnectionString`
    `static int` | `jb_invalidFetchDirection`
    `static int` | `jb_maxStatementLengthExceeded`
    `static int` | `jb_notAttachedToDatabase`
    `static int` | `jb_notConnectedToServer`
    `static int` | `jb_operationNotAllowedOnForwardOnly`
    `static int` | `jb_range_end`
    `static int` | `jb_range_start`
    `static int` | `jb_receiveTrustedAuth_NotSupported`
    `static int` | `jb_resultSetTypeDowngradeReasonScrollSensitive`
    `static int` | `jb_resultSetTypeUpgradeReasonHoldability`
    `static int` | `jb_unableToCancelEventReasonNotConnected`
    `static int` | `jb_unexpectedOperationCode`
    `static int` | `jb_unsupportedFieldType`

- - ### Field Detail

    - #### jb_range_start

          static final int jb_range_start

      See Also:
        Constant Field Values

    - #### jb_blobGetSegmentNegative

          static final int jb_blobGetSegmentNegative

      See Also:
        Constant Field Values

    - #### jb_blobPutSegmentEmpty

          static final int jb_blobPutSegmentEmpty

      See Also:
        Constant Field Values

    - #### jb_blobPutSegmentTooLong

          static final int jb_blobPutSegmentTooLong

      See Also:
        Constant Field Values

    - #### jb_blobIdAlreadySet

          static final int jb_blobIdAlreadySet

      See Also:
        Constant Field Values

    - #### jb_invalidClumpletStructure

          static final int jb_invalidClumpletStructure

      See Also:
        Constant Field Values

    - #### jb_clumpletReaderUsageError

          static final int jb_clumpletReaderUsageError

      See Also:
        Constant Field Values

    - #### jb_invalidConnectionString

          static final int jb_invalidConnectionString

      See Also:
        Constant Field Values

    - #### jb_concurrencyResetReadOnlyReasonNotUpdatable

          static final int jb_concurrencyResetReadOnlyReasonNotUpdatable

      See Also:
        Constant Field Values

    - #### jb_resultSetTypeUpgradeReasonHoldability

          static final int jb_resultSetTypeUpgradeReasonHoldability

      See Also:
        Constant Field Values

    - #### jb_resultSetTypeDowngradeReasonScrollSensitive

          static final int jb_resultSetTypeDowngradeReasonScrollSensitive

      See Also:
        Constant Field Values

    - #### jb_concurrencyResetReadOnlyReasonStoredProcedure

          static final int jb_concurrencyResetReadOnlyReasonStoredProcedure

      See Also:
        Constant Field Values

    - #### jb_errorAsynchronousEventChannelClose

          static final int jb_errorAsynchronousEventChannelClose

      See Also:
        Constant Field Values

    - #### jb_unableToCancelEventReasonNotConnected

          static final int jb_unableToCancelEventReasonNotConnected

      See Also:
        Constant Field Values

    - #### jb_executeImmediateRequiresTransactionAttached

          static final int jb_executeImmediateRequiresTransactionAttached

      See Also:
        Constant Field Values

    - #### jb_executeImmediateRequiresNoTransactionDetached

          static final int jb_executeImmediateRequiresNoTransactionDetached

      See Also:
        Constant Field Values

    - #### jb_receiveTrustedAuth_NotSupported

          static final int jb_receiveTrustedAuth_NotSupported

      See Also:
        Constant Field Values

    - #### jb_notConnectedToServer

          static final int jb_notConnectedToServer

      See Also:
        Constant Field Values

    - #### jb_notAttachedToDatabase

          static final int jb_notAttachedToDatabase

      See Also:
        Constant Field Values

    - #### jb_maxStatementLengthExceeded

          static final int jb_maxStatementLengthExceeded

      See Also:
        Constant Field Values

    - #### jb_unexpectedOperationCode

          static final int jb_unexpectedOperationCode

      See Also:
        Constant Field Values

    - #### jb_unsupportedFieldType

          static final int jb_unsupportedFieldType

      See Also:
        Constant Field Values

    - #### jb_invalidFetchDirection

          static final int jb_invalidFetchDirection

      See Also:
        Constant Field Values

    - #### jb_operationNotAllowedOnForwardOnly

          static final int jb_operationNotAllowedOnForwardOnly

      See Also:
        Constant Field Values

    - #### jb_cryptNoCryptKeyAvailable

          static final int jb_cryptNoCryptKeyAvailable

      See Also:
        Constant Field Values

    - #### jb_cryptAlgorithmNotAvailable

          static final int jb_cryptAlgorithmNotAvailable

      See Also:
        Constant Field Values

    - #### jb_cryptInvalidKey

          static final int jb_cryptInvalidKey

      See Also:
        Constant Field Values

    - #### jb_invalidConnectionPropertyValue

          static final int jb_invalidConnectionPropertyValue

      See Also:
        Constant Field Values

    - #### jb_dbCryptCallbackInitError

          static final int jb_dbCryptCallbackInitError

      See Also:
        Constant Field Values

    - #### jb_dbCryptDataError

          static final int jb_dbCryptDataError

      See Also:
        Constant Field Values

    - #### jb_hashAlgorithmNotAvailable

          static final int jb_hashAlgorithmNotAvailable

      See Also:
        Constant Field Values

    - #### jb_blobClosed

          static final int jb_blobClosed

      See Also:
        Constant Field Values

    - #### jb_range_end

          static final int jb_range_end

      See Also:
        Constant Field Values

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.